# Generated by Django 3.1.7 on 2021-04-06 07:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('flipstarterdirectory', '0002_auto_20210324_1543'),
    ]

    operations = [
        migrations.AlterField(
            model_name='flipstarterarchive',
            name='url',
            field=models.URLField(help_text='URL for an external source. If file is supplied then this is ignored.'),
        ),
        migrations.CreateModel(
            name='FlipstarterScreenshot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(upload_to='screenshots/')),
                ('taken_at', models.DateTimeField()),
                ('taken_status', models.CharField(choices=[('success', 'Success'), ('expired', 'Expired'), ('running', 'Running')], max_length=7)),
                ('flipstarter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='screenshots', to='flipstarterdirectory.flipstarter')),
            ],
        ),
    ]
